Bug 103317 - New default set of templates
Summary: New default set of templates
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:5.3.0 target:6.0.0.2
Keywords:
Depends on: 114088
Blocks: Templates
  Show dependency treegraph
 
Reported: 2016-10-18 13:27 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-12-27 22:10 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-18 13:27:22 UTC
We have various templates that need to be removed and some that need to be added, so this will be the central place for this.

Users have submitted templates in 3 different wiki pages.

https://wiki.documentfoundation.org/Design/Call_for_Templates
https://wiki.documentfoundation.org/Design/Whiteboards/Templates_for_LibreOffice_4.4
https://wiki.documentfoundation.org/Design/Whiteboards/Templates_for_LibreOffice_5.0

Template selection votes are being collected in this google spreadsheet

https://docs.google.com/spreadsheets/d/1Rd2oHyCMaQLWvDj3ciorJZkILsaoZV0FhomiLEsCago/edit#gid=0
Comment 1 Yousuf Philips (jay) (retired) 2016-10-18 15:31:10 UTC
So to start off, we have to do some removal of useless templates.

Abstract Green, Abstract Red, and Abstract Yellow were pulled from the Typography template[1] and only have a single master slide and each slide is a simple radial gradient, and we have a consensus for their removal in the google sheet.

https://gerrit.libreoffice.org/30021

[1] https://wiki.documentfoundation.org/File:Typography.otp
Comment 2 Commit Notification 2016-10-19 13:33:51 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ae76ce8bac0b1679598f27e5883af1e33f403c6

tdf#103317 remove single master simple gradient templates

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-07-14 14:15:29 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 4 Yousuf Philips (jay) (retired) 2017-07-14 19:23:17 UTC
(In reply to Xisco Faulí from comment #3)
> Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED

No it hasnt been fully fixed.
Comment 5 Heiko Tietze 2017-10-26 11:03:27 UTC
Add
+ Blueprint_Plans.otp
+ Hexagons.otp
+ Portfolio.otp
+ Progress.otp

Update
x Vintage.otp

Remove
- Pencil
- Lush Green
Comment 6 Heiko Tietze 2017-10-26 11:04:20 UTC
(In reply to Heiko Tietze from comment #5)
> + Hexagons.otp

Not this one.
Comment 7 Commit Notification 2017-10-26 13:02:27 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3afd99701f933dacc94c82a22292a79f1c3e3f5

tdf#103317 Update of Impress templates

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Laurent BP 2017-10-27 15:08:09 UTC
Hello,

Why removing LushGreen and Pencil template?
Commit https://cgit.freedesktop.org/libreoffice/core/commit/extras/source/templates/presnt?id=59cf94fac8e53d7f098eb2fbdf59d3a6aff254ce updated templates to remove language specific items. So each template is open in the language of user. See bug 107027

Update of Vintage template seem to have broken it.

Commit https://cgit.freedesktop.org/libreoffice/core/commit/extras/source/templates/presnt?id=5c16d16ed3db32f922b2aeaad49592d2615c7e2c modify preview image with "Lorem ipsum" text. See bug 107045. Shall we revert it or do the same for the new templates?
Comment 9 Heiko Tietze 2017-10-27 15:23:28 UTC
(In reply to Laurent BP from comment #8)
> Why removing LushGreen and Pencil template?

To clean up before adding new stuff. 

> ...remove language specific items. So each template is open in the language of
> user. See bug 107027
> 
> Update of Vintage template seem to have broken it.

Unlike for the other two that I recreated because of the localization, I didn't touch Vintage, except image size and font name. Don't see an issue with the language there, what exactly would you change?
Comment 10 Laurent BP 2017-10-27 20:45:43 UTC
(In reply to Heiko Tietze from comment #9)

> Unlike for the other two that I recreated because of the localization, I
> didn't touch Vintage, except image size and font name. Don't see an issue
> with the language there, what exactly would you change?

Oups,my fault. I opened it in English UI. If I open it in French UI, it is correctly in French. Sorry for the noise.
I would suggest to change only preview image.
Comment 11 Yousuf Philips (jay) (retired) 2017-10-28 04:16:50 UTC
(In reply to Laurent BP from comment #8)
> Why removing LushGreen and Pencil template?

These have been restore with his patch and a batch of seven new templates are being added (most modified by me)
https://gerrit.libreoffice.org/43973

Laurent if you are on telegram, it would be great to chat with you more about these and more templates. - https://t.me/joinchat/B-szpERIwOCjY_97ehftHA
Comment 12 Laurent BP 2017-10-28 21:11:08 UTC
(In reply to Heiko Tietze from comment #9)
> (In reply to Laurent BP from comment #8)
> > ...remove language specific items. So each template is open in the language of
> > user. See bug 107027
> > 
> > Update of Vintage template seem to have broken it.
> 
> Unlike for the other two that I recreated because of the localization, I
> didn't touch Vintage, except image size and font name. Don't see an issue
> with the language there, what exactly would you change?

Actually I was right: If you open updated template Vintage, language of text is now German. In previous version, no language was defined in xml code of the template, so when user open the template, the language was set to user language.

In commit https://cgit.freedesktop.org/libreoffice/core/commit/extras/source/templates/presnt?id=59cf94fac8e53d7f098eb2fbdf59d3a6aff254ce
I extracted XML code from template file, and remove all tags about language, then rezip it (carefully place mimetype file).

In Vintage template, I noticed also on title page that text zone is too high.
Comment 13 Yousuf Philips (jay) (retired) 2017-10-29 20:40:21 UTC
(In reply to Laurent BP from comment #12)
> Actually I was right: If you open updated template Vintage, language of text
> is now German. In previous version, no language was defined in xml code of
> the template, so when user open the template, the language was set to user
> language.

Would be great if you can clean up Heiko's newly added and modified templates, as you are the expert.
Comment 14 Commit Notification 2017-10-30 22:20:13 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60a03d97bc35c02cb1eff0e4a02b6f37fd1a6a34

tdf#103317 Add 7 new Impress templates and restore 2

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Regina Henschel 2017-11-11 13:31:26 UTC
Hi Laurent,

the attribute draw:fit-to-size describes stretching the 'picture' of the text to the size of the object. You can test the effect with a polygon. In UI it is the setting "Fit to frame" in the section "Drawing Object Text" of the dialog Frame > text... Therefore setting draw:fit-to-size="true" is wrong for the presentation objects.
For the effect, that the font size is reduced, if the text is too large for the object size, the attribute would be style:shrink-to-fit="true".
Read the discussion in bug 97630.

Unfortunately master is still writing the faulty attribute draw:fit-to-size="shrink-to-fit" in addition to the correct style:shrink-to-fit="true". So you need to remove draw:fit-to-size manually.

If I understand the work of Michael Stahl correctly, then he has made LO 5.3.7 and 5.4.4 able to understand style:shrink-to-fit.
Comment 16 Laurent BP 2017-11-11 22:50:53 UTC
(In reply to Regina Henschel from comment #15)
 
> Unfortunately master is still writing the faulty attribute
> draw:fit-to-size="shrink-to-fit" in addition to the correct
> style:shrink-to-fit="true". So you need to remove draw:fit-to-size manually.

So, I replace draw:fit-to-size="shrink-to-fit" by style:shrink-to-fit="true", or do I also need to add draw:fit-to-size="false"?
Comment 17 Laurent BP 2017-11-11 23:13:32 UTC
Hi Regina,

Another error detected for table: unexpected attribute "text:style-name". I found bug 106780.
How should I fix it in templates?
Comment 18 Regina Henschel 2017-11-12 00:08:33 UTC
Hi Laurent, if draw:fit-to-size is not set, then inheritance is used, which leads in this case to an implementation dependent value. Such is not good for interoperability. I don't think, that any implementation has a draw:fit-to-size="true" as default, but to be sure, I would set draw:fit-to-size="false" on the style Default-outline1.

I have no strong opinion about "text:style-name" (bug 106780) yet. Perhaps ask Thorsten?
Comment 19 Regina Henschel 2017-11-12 12:48:59 UTC
Table templates are work in progress and need huge improvement.

I have made a test, where I included two tables and then exchanged their names in table:table-template manually. I have tested it using "text:style-name" and "table:name". In both cases the reference was resolved correctly. But I have not examined the source, what really happens there. I have used a build form master.

I would write the attribute "table:name" instead of "text:style-name" and test, whether the document, which is generated from that template looks correctly. When saving the generated document, the wrong attribute is saved anyway. But that way at least the delivered document templates would be valid.

If you find, that the generated documents does not look as desired, you might use "text:style-name" (and test whether it looks correct then). In this case, you should add a comment to bug 106780, that when fixing the bug, the bundled templates has to be corrected too.

This is of kind "as far as possible", as said in my comment on Gerrit.
Comment 20 Laurent BP 2017-11-12 17:05:06 UTC
Thanks Regina for your help.
Finally, I have to complete with other tags:
<table:table-template table:name="default" table:first-row-start-column="row" table:first-row-end-column="row" table:last-row-start-column="row" table:last-row-end-column="row">
Appearance is the same, and template is validated (not totally because there are ignored extension elements).
Comment 21 Commit Notification 2017-11-30 12:37:51 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba6232ae4dc2acb6e794f109a6ca9f57afb3d8d4

tdf#103317 Language and country tags removed from templates

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2017-11-30 13:05:46 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e238216f4a8344498180731b99c6e6de01947da5&h=libreoffice-6-0

tdf#103317 Language and country tags removed from templates

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2017-12-22 23:05:06 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebbcdd2416b02f2d796dc0dd24bc013be39575b3

tdf#103317 tdf#107027 tdf#113795 Impress Templates

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2017-12-22 23:05:27 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39d1022967297524b852b5c82e78d815cf908b3d

tdf#103317 tdf#89676 clean-up Impress templates

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2017-12-23 17:57:57 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a03c7e7a2253f8a9452aacc0691ec69176a4418&h=libreoffice-6-0

tdf#103317 tdf#89676 clean-up Impress templates

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2017-12-27 20:28:00 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3139c93b62e17982d05117f6fcca7d6fb2920ba4&h=libreoffice-6-0

tdf#103317 tdf#107027 tdf#113795 Impress Templates

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.